<script setup lang="ts">
import { useRouter } from 'vue-router'

import { Button } from '@/components/ui/button'

const router = useRouter()

function handleSignUp() {
  router.push('/auth/register')
}
</script>

<template>
  <Button variant="default" @click="handleSignUp">
    {{ $t('auth.signUp') }}
  </Button>
</template>
